# realbdry (filter)

## Name

realbdry (filter) — A constraint on real boundary

## Synopsis

Content Model

    realbdry ::=

Attributes
Name | Type
`value` | CDATA (required)

## Description

A `realbdry` (filter) element represents a constraint on the boundary of a normal surface. A surface with real boundary is one that meets one or more boundary faces of the underlying triangulation.

### Parents

The following elements contain `realbdry` (in the context of a constraint on surface properties): `filter` (properties).

### Children

Element `realbdry` (in the context of a constraint on surface properties) has no children.

## Attributes

`value`

  Contains the specific constraint upon the boundary of a surface. The following values are allowed.

  - `TF` signifies that the surface may either have real boundary or may not, i.e., no constraint is imposed.

  - `T-` signifies that the surface must have real boundary.

  - `-F` signifies that the surface must not have real boundary.

  - `--` signifies that the surface must neither have real boundary nor not have real boundary, i.e., no surfaces are accepted.